Module Status_Structure
    ' Divisional Image Structure
    Public Structure DIV_IMAGE_STRUCTURE
        Dim image As Bitmap
        Dim x As Integer
        Dim y As Integer
    End Structure

    Public Structure PICTURE_BOX_SCALE
        Dim width As Integer
        Dim height As Integer
    End Structure

    ' Image File Path
    Public IMG_FILE_PATH As String

    ' AT(true) or MT(false) Flag
    Public CONTROL_FLAG As Boolean

    ' Enable Image Control Flag
    Public ENABLE_FLAG As Boolean

    ' Cut Width Value
    Public CUT_NUM_VALUE As Integer

    ' Cut Width Value(Calcp)
    Public CUT_VALUE_CALC As Integer

    ' Process Level Count
    Public PROGRESS_COUNT As Byte

    ' Original Image
    Public ORIGIN_IMAGE As Bitmap

    ' Global Divisional Image Data
    Public DIV_IMAGE(400) As DIV_IMAGE_STRUCTURE

    ' Number of Divisional Image
    Public DIV_IMAGE_NUM As Integer

    ' Variable of Picture Box Scale
    Public P_BOX_SCL As PICTURE_BOX_SCALE

    ' Image Control Limit Flag(Auto Control)
    Public IMAGE_CONTROL_LIMIT As Boolean

    ' Before Image Control String
    Public IMAGE_BEFORE_CONTROL As String

    ' Manual Processing Flag
    Public MT_PROCESS_FLAG As Boolean

    ' Manual Control Image Number
    Public MT_IMAGE_NUMBER As Integer

    Public Const SMALL_RATIO As Single = 0.5
    Public Const LARGE_RATIO As Single = 1.1

    ' Review Scale
    Public REVIEW_RECT As Rectangle
End Module
