Module Common_Module
    ' Image Cutter
    Public Function image_divider()
        Dim cnt, diff As Integer

        Call div_image_initialize()

        ' ̓o^
        DIV_IMAGE_NUM = ORIGIN_IMAGE.Height \ CUT_NUM_VALUE

        If ORIGIN_IMAGE.Height Mod CUT_NUM_VALUE = 0 Then
            DIV_IMAGE_NUM -= 1
        End If

        If ORIGIN_IMAGE.Height = 400 And CUT_NUM_VALUE = 1 Then
            DIV_IMAGE_NUM += 1
        End If

        If DIV_IMAGE_NUM > ORIGIN_IMAGE.Height Then DIV_IMAGE_NUM = ORIGIN_IMAGE.Height

        For cnt = 0 To DIV_IMAGE_NUM
            CUT_VALUE_CALC = CUT_NUM_VALUE

            If cnt = DIV_IMAGE_NUM And ORIGIN_IMAGE.Height Mod CUT_NUM_VALUE <> 0 Then
                CUT_VALUE_CALC = ORIGIN_IMAGE.Height Mod CUT_NUM_VALUE
            End If

            ' C[WCX^X̏
            DIV_IMAGE(cnt).image = New Bitmap(ORIGIN_IMAGE.Width, CUT_VALUE_CALC)

            Dim g As Graphics = Graphics.FromImage(DIV_IMAGE(cnt).image)

            ' X , YW̓o^(E[)
            DIV_IMAGE(cnt).x = P_BOX_SCL.width - ORIGIN_IMAGE.Width - 4

            DIV_IMAGE(cnt).y = (P_BOX_SCL.height - ORIGIN_IMAGE.Height) \ 2 + cnt * CUT_NUM_VALUE - 2

            If cnt <> DIV_IMAGE_NUM Then
                diff = CUT_NUM_VALUE
            Else
                diff = CUT_VALUE_CALC
            End If

            ' C[W̓o^
            g.DrawImage _
            ( _
                ORIGIN_IMAGE, _
                0, 0, _
                New Rectangle _
                ( _
                    0, cnt * CUT_NUM_VALUE, _
                    DIV_IMAGE(cnt).image.Width, diff _
                ), _
                GraphicsUnit.Pixel _
            )
        Next
    End Function

    Public Function image_move_action(ByVal image_num As Integer, ByVal diff As Integer, ByVal origin_x As Integer)
        Dim diff_diff As Single

        If CUT_NUM_VALUE = 1 Then
            diff_diff = diff * 1.0
        ElseIf CUT_NUM_VALUE = 2 Then
            diff_diff = diff * 0.8
        ElseIf CUT_NUM_VALUE = 5 Then
            diff_diff = diff * 0.6
        Else
            diff_diff = diff * 0.2
        End If

        DIV_IMAGE(image_num).x += diff_diff

        If diff >= 0 Then
            If diff_diff < 1 And diff_diff > 0 Then
                DIV_IMAGE(image_num).x += 1
            End If

            If DIV_IMAGE(image_num).x > origin_x Then
                DIV_IMAGE(image_num).x = origin_x
            End If
        Else
            If diff_diff < 0 And diff_diff > -1 Then
                DIV_IMAGE(image_num).x -= 1
            End If

            If DIV_IMAGE(image_num).x < origin_x Then
                DIV_IMAGE(image_num).x = origin_x
            End If
        End If
    End Function

    ' Invalidate Image Reflecter
    Public Function image_reflecter(ByVal e As System.Windows.Forms.PaintEventArgs)
        Dim cnt As Integer

        For cnt = 0 To DIV_IMAGE_NUM
            With DIV_IMAGE(cnt)
                If Not (.image Is Nothing) Then
                    ' Call System.Windows.Forms.Application.DoEvents()

                    ' 摜w肵͈͂ɕ`悷
                    e.Graphics.DrawImage _
                    ( _
                        .image, _
                        New Rectangle _
                        ( _
                            .x, .y, _
                            .image.Width, .image.Height _
                        ) _
                    )
                End If
            End With
        Next
    End Function

    ' Open File Dailog Setting : Return Load Image File Path
    Public Function set_file_dialog() As String
        Dim ofd As New OpenFileDialog

        ofd.InitialDirectory = "C:\"
        ofd.Filter = "BMPt@C(*.bmp)|*.bmp"
        ofd.Title = "JBMPC[WIĉ(ő250 * 400)"
        ofd.RestoreDirectory = True

        If ofd.ShowDialog() = DialogResult.OK Then set_file_dialog = ofd.FileName
    End Function
End Module
